<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes" encoding="utf-8"/>

	<xsl:param name="mode"/>
	<xsl:param name="srtnotificatiecode"/>

	<xsl:variable name="Rev">
		<!-- Revision van deze fame.xsl -->
		<xsl:value-of select="substring(translate('$Revision$', '$ ', ''), 10)"/>
	</xsl:variable>

	<xsl:template match="melding">
		<fame>
			<inlognaam>wOEuLCq22K0=</inlognaam>
			<wachtwoord>Ds+DteZG1pKQyCYQpAcYEg==</wachtwoord>
			<xsl:choose>
				<xsl:when test="$srtnotificatiecode='MLDAFM' or status_key='5'">
					<meldingenummer action="finish">
						<xsl:value-of select="externnr"/>
					</meldingenummer>
					<prognosedatum>
						<xsl:value-of select="datum_gepland/datum"/>
					</prognosedatum>
					<prognosetijd>
						<xsl:value-of select="datum_gepland/tijd"/>
					</prognosetijd>
					<startdatum>
						<xsl:value-of select="begindatum/datum"/>
					</startdatum>
					<starttijd>
						<xsl:value-of select="begindatum/tijd"/>
					</starttijd>
					<einddatum>
						<xsl:value-of select="tracking/track[@code='MLDAFM']/datum/datum"/>
					</einddatum>
					<eindtijd>
						<xsl:value-of select="tracking/track[@code='MLDAFM']/datum/tijd"/>
					</eindtijd>
					<urenaantal></urenaantal>
					<kosten></kosten>
					<datumgereed>
						<xsl:value-of select="tracking/track[@code='MLDAFM']/datum/datum"/>
					</datumgereed>
					<tijdgereed>
						<xsl:value-of select="tracking/track[@code='MLDAFM']/datum/tijd"/>
					</tijdgereed>
					<aantekeningen>
						<xsl:value-of select="opmerking"/>
					</aantekeningen>
				</xsl:when>
				<xsl:when test="$srtnotificatiecode='MLDREJ' or status_key='1'">
					<meldingenummer action="finish">
						<xsl:value-of select="externnr"/>
					</meldingenummer>
					<prognosedatum>
						<xsl:value-of select="datum_gepland/datum"/>
					</prognosedatum>
					<prognosetijd>
						<xsl:value-of select="datum_gepland/tijd"/>
					</prognosetijd>
					<startdatum>
						<xsl:value-of select="begindatum/datum"/>
					</startdatum>
					<starttijd>
						<xsl:value-of select="begindatum/tijd"/>
					</starttijd>
					<einddatum>
						<xsl:value-of select="tracking/track[@code='MLDREJ']/datum/datum"/>
					</einddatum>
					<eindtijd>
						<xsl:value-of select="tracking/track[@code='MLDREJ']/datum/tijd"/>
					</eindtijd>
					<urenaantal></urenaantal>
					<kosten></kosten>
					<datumgereed>
						<xsl:value-of select="tracking/track[@code='MLDREJ']/datum/datum"/>
					</datumgereed>
					<tijdgereed>
						<xsl:value-of select="tracking/track[@code='MLDREJ']/datum/tijd"/>
					</tijdgereed>
					<aantekeningen>
						Melding afgewezen!
						<xsl:value-of select="opmerking"/>
					</aantekeningen>
				</xsl:when>
				<xsl:otherwise>
					<meldingenummer action="update">
						<xsl:value-of select="externnr"/>
					</meldingenummer>
					<prognosedatum>
						<xsl:value-of select="datum_gepland/datum"/>
					</prognosedatum>
					<prognosetijd>
						<xsl:value-of select="datum_gepland/tijd"/>
					</prognosetijd>
					<aantekeningen>
						<xsl:value-of select="opmerking"/>
					</aantekeningen>
				</xsl:otherwise>
			</xsl:choose>
		</fame>
	</xsl:template>

	<xsl:template match="facilitor">
		<xsl:apply-templates select="melding"/>
	</xsl:template>

	<!-- Root -->
	<xsl:template match="/">
		<xsl:apply-templates select="facilitor"/>
	</xsl:template>
</xsl:stylesheet>
